Bug 524434 - system-config-display won't start because of layout [NEEDINFO]
system-config-display won't start because of layout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-20 03:05 EDT by Muayyad Alsadi
Modified: 2010-06-28 10:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 10:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mcepl: needinfo? (alsadi)


Attachments (Terms of Use)

  None (edit)
Description Muayyad Alsadi 2009-09-20 03:05:57 EDT
Description of problem:
A brother reported that system-config-display does not start
http://www.linuxac.org/forum/linuxac68/thread30311-2.html#post259343

Version-Release number of selected component (if applicable):
system-config-display-1.1.3-2.fc11.noarch

How reproducible:
always (could be specific to some hardware)

Steps to Reproduce:
just run it
  
Actual results:

[hosain@localhost ~]$ system-config-display
File "/usr/share/system-config-display/xconf.py", line 376, in <module>
dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, rhpxl.videocard.VideoCardInfo())
File "/usr/share/system-config-display/xConfigDialog.py", line 641, in __init__
if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds
[hosain@localhost ~]$ 


Expected results:
works normally

Additional info:
it appears that the following line should be
if len(self.xconfig.layout[0].adjacencies) > 1:

should be patched to be

if len(self.xconfig.layout)>0 and len(self.xconfig.layout[0].adjacencies) > 1:

because self.xconfig.layout could be empty
Comment 1 Andre Robatino 2009-09-20 11:56:27 EDT
Looks like a duplicate of bug #506432.  Also see bug #506774 and bug #508056.
Comment 2 Muayyad Alsadi 2009-09-21 09:50:25 EDT
ah, yes it seems a duplication of #508056

and seems to be a duplication  of comment 1
https://bugzilla.redhat.com/show_bug.cgi?id=506774#c1

but does my proposed patch seems reasonable
Comment 3 Andre Robatino 2009-09-21 10:43:26 EDT
Adam Jackson hasn't responded to any of the s-c-d bug reports so far - Adam, would the patch work?  (I haven't looked at the code myself.)
Comment 4 Matěj Cepl 2009-11-05 13:38:14 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Andre Robatino 2009-11-15 09:45:54 EST
Bug still exists in F12 (AKA RC4).  Please reopen.
Comment 6 Matěj Cepl 2010-02-26 07:21:45 EST
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]
Comment 7 Bug Zapper 2010-04-28 06:29:19 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 10:44:39 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.